# Configuration

### Locales

```lua
Config.Locale = 'en' -- en
```

## Default Settings

### Fuel

```lua
Config.Fuel = "auto" -- auto, default, cdn-fuel, esx-sna-fuel, okokGasStation, ox_fuel, ps-fuel, qs-fuelstations, Renewed-Fuel, ti-fuel, x-fuel
```

### Vehicle Keys

```lua
Config.VehicleKey = "auto" -- auto, cd-garage, mk_vehiclekeys, okokGarage, qb-vehiclekeys, qbx_vehiclekeys, qs-vehiclekeys, Renewed-Vehiclekeys, wasabi_carlock
```

### Notify

```lua
Config.NotifySystem = "ox" -- qb, mythic, pNotify, esx, ox, okok, t-notify, wasabi, r_notify, custom
```

### Progress Bar

```lua
Config.ProgressBarSystem = "progressbar" -- ox_lib, progressbar
```

### Text UI

```lua
Config.ShowHelpText = "ox" -- ox, jg, qb, okok, cd, lab, custom
```

### Default Profile Photo

```lua
Config.DefaultProfilePhoto = 'https://r2.fivemanage.com/PRMGg8LOew8Wiszjkbwm3/example-profile-photo.png'
```

### Robbery Time

```lua
Config.RobberyTimeRestriction = true -- If true, robbery can only be done between start and end time
Config.RobberyEndTime = 6 -- 6 AM
Config.RobberyStartTime = 22 -- 10 PM
```

### Cooldown Time

```lua
Config.RobberyCooldown = true -- If true, robbery will have a cooldown after it has been done
Config.CooldownTime = 60 * 60 * 1 -- 1 hour
```

### Proccess Times

```lua
Config.ProcessTimes = { -- Time in minute for each process
    ['take_vehicle'] = 15,
    ['hack_keypad'] = 15,
    ['robbery_house'] = 15,
    ['deliver_vehicle'] = 15,
    ['deliver_items'] = 15,
}
```

### Legal Unit Settings

```lua
Config.PoliceAlert = 20 -- Percentage chance to alert police when robbery is started
Config.PoliceOnDutyRequired = 3 -- Minimum number of police on duty required to start a robbery
Config.PoliceJobName = "police" -- Job name for police, used for alerts and checks
```

### Money Settings

```lua
Config.MoneySettings = { -- Settings for money rewards
    chance = 20, -- Percentage chance to get money from a robbery
    min = 100, -- Minimum amount of money to get
    max = 500, -- Maximum amount of money to get
    item = { -- Item settings for money
        cashItem = false, -- If true, money will be given as an item
        name = "money", -- Item name for money
        label = "Cash", -- Item label for money
    }
}
```

### Tablet Item Settings

```lua
Config.RobberyTabletItem = { -- Settings for the robbery tablet item
    name = 'houserobbery_tablet', -- Item name for the tablet
    requiredJobs = { -- Jobs required to use the tablet
        status = false, -- If true, only players with the required jobs can use the tablet
        jobs = { -- List of jobs that can use the tablet
            ['police'] = true, -- Job name
            ['ambulance'] = true, -- Job name
            ['taxi'] = true, -- Job name
            ['mechanic'] = true, -- Job name
            ['sheriff'] = true, -- Job name
        },
    },
    requiredItem = { -- Settings for the required item to use the tablet
        status = false, -- If true, player must have the required item to use the tablet
        item = { -- List of required items
            ['bandage'] = true, -- Item named
        },
    },
}

```

### Take Loot Minigame Settings

```lua
Config.LootSettings = { -- Settings for loot in the robbery
    difficulty = { -- Difficulty levels for loot
        'easy', 'easy', 'easy' -- Easy difficulty for all loot
    },
    keys = { -- Keys for loot interaction
        'w', 'a', 's', 'd' -- Keys used for loot interaction
    },
}
```

### Blip Settings

```lua
Config.BlipSettings = { -- Settings for blips on the map
    ['illegal_vehicle_dealer'] = { -- Blip for illegal vehicle dealer
        id = 326, -- Blip ID
        name = 'Illegal Vehicle Dealer', -- Blip name
        color = 5, -- Blip color
        scale = 0.7, -- Blip scale
    },
    ['robbery_house'] = { -- Blip for robbery house
        id = 40, -- Blip ID
        name = 'Robbery House', -- Blip name
        color = 5, -- Blip color
        scale = 0.7, -- Blip scale
    },
    ['deliver_items'] = { -- Blip for delivering items
        id = 110, -- Blip ID
        name = 'Deliver Items', -- Blip name
        color = 5, -- Blip color
        scale = 0.7, -- Blip scale
    },
}
```

## Heist Car and Ped Settings

### Heist Car

```lua
Config.HeistCar = { -- Settings for the heist car
    hash = `bison`, -- Vehicle hash for the heist car
    name = 'Bison', -- Vehicle name for the heist car
    price = 1000, -- Price for the heist car
}
```

### Heist Car Peds

```lua
Config.HeistCarPeds = { -- Settings for the car dealer peds
    [1] = { -- Car dealer ped
        model = `s_m_m_ccrew_01`, -- Ped model
        name = 'Car Dealer', -- Ped name
        coords = { -- Ped coordinates
            car = {
                vector4(250.95, -1794.15, 26.49, 232.25),
                vector4(248.96, -1796.58, 26.49, 231.8),
                vector4(247.12, -1799.4, 26.49, 231.24),
            },
            ped = vector4(259.11, -1801.89, 27.11, 54.23),
        },
    }
}
```

## Market Settings

### Market Ped

```lua
Config.MarketPed = { -- Settings for the market ped
    model = `s_m_m_ccrew_01`, -- Ped model for the market
    name = 'Market', -- Ped name for the market
    coords = vector4(1491.92, -2093.03, 76.74, 275.0),
    blip = { -- Blip settings for the market
        id = 52, -- Blip ID
        name = 'Market', -- Blip name
        color = 5, -- Blip color
        scale = 0.7, -- Blip scale
    },
}

```

### Market Items

```lua
Config.MarketPlace = { -- Settings for the market place
    ['plastic'] = {
        item = 'plastic', -- Item name for plastic
        price = 50, -- Price for plastic in the market
        label = 'Plastic', -- Item label for plastic
        description = 'A versatile material used in various applications.', -- Item description for plastic
        min = 1, -- Minimum amount of plastic to sell
        max = 50, -- Maximum amount of plastic to sell
    },
    ['diamond_ring'] = {
        item = 'diamond_ring', -- Item name for diamond ring
        price = 500, -- Price for diamond ring in the market
        label = 'Diamond Ring', -- Item label for diamond ring
        description = 'A beautiful diamond ring.', -- Item description for diamond ring
        min = 1, -- Minimum amount of diamond ring to sell
        max = 50, -- Maximum amount of diamond ring to sell
    },
    ['goldchain'] = {
        item = 'goldchain', -- Item name for gold chain
        price = 300, -- Price for gold chain in the market
        label = 'Gold Chain', -- Item label for gold chain
        description = 'A shiny gold chain.', -- Item description for gold chain
        min = 1, -- Minimum amount of gold chain to sell
        max = 50, -- Maximum amount of gold chain to sell
    },
    ['weed_skunk'] = {
        item = 'weed_skunk', -- Item name for weed skunk
        price = 100, -- Price for weed skunk in the market
        label = 'Weed Skunk', -- Item label for weed skunk
        description = 'High quality skunk weed.', -- Item description for weed skunk
        min = 1, -- Minimum amount of weed skunk to sell
        max = 50, -- Maximum amount of weed skunk to sell
    },
    ['cryptostick'] = {
        item = 'cryptostick', -- Item name for cryptostick
        price = 200, -- Price for cryptostick in the market
        label = 'Cryptostick', -- Item label for cryptostick
        description = 'A device used for cryptocurrency transactions.', -- Item description for cryptostick
        min = 1, -- Minimum amount of cryptostick to sell
        max = 50, -- Maximum amount of cryptostick to sell
    },
    ['phone'] = {
        item = 'phone', -- Item name for phone
        price = 150, -- Price for phone in the market
        label = 'Phone', -- Item label for phone
        description = 'A smartphone with various features.', -- Item description for phone
        min = 1, -- Minimum amount of phone to sell
        max = 50, -- Maximum amount of phone to sell
    },
    ['tablet'] = {
        item = 'tablet', -- Item name for tablet
        price = 250, -- Price for tablet in the market
        label = 'Tablet', -- Item label for tablet
        description = 'A portable tablet with a large screen.', -- Item description for tablet
        min = 1, -- Minimum amount of tablet to sell
        max = 50, -- Maximum amount of tablet to sell
    },
    ['rolex'] = {
        item = 'rolex', -- Item name for rolex
        price = 1000, -- Price for rolex in the market
        label = 'Rolex', -- Item label for rolex
        description = 'A luxury Rolex watch.', -- Item description for rolex
        min = 1, -- Minimum amount of rolex to sell
        max = 50, -- Maximum amount of rolex to sell
    },
    ['pistol_ammo'] = {
        item = 'pistol_ammo', -- Item name for pistol ammo
        price = 50, -- Price for pistol ammo in the market
        label = 'Pistol Ammo', -- Item label for pistol ammo
        description = 'A box of pistol ammunition.', -- Item description for pistol ammo
        min = 1, -- Minimum amount of pistol ammo to sell
        max = 50, -- Maximum amount of pistol ammo to sell
    },
    ['meth'] = {
        item = 'meth', -- Item name for meth
        price = 300, -- Price for meth in the market
        label = 'Meth', -- Item label for meth
        description = 'A bag of high-quality methamphetamine.', -- Item description for meth
        min = 1, -- Minimum amount of meth to sell
        max = 50, -- Maximum amount of meth to sell
    },
    ['tosti'] = {
        item = 'tosti', -- Item name for tosti
        price = 10, -- Price for tosti in the market
        label = 'Tosti', -- Item label for tosti
        description = 'A delicious toasted sandwich.', -- Item description for tosti
        min = 1, -- Minimum amount of tosti to sell
        max = 50, -- Maximum amount of tosti to sell
    },
    ['sandwich'] = {
        item = 'sandwich', -- Item name for sandwich
        price = 15, -- Price for sandwich in the market
        label = 'Sandwich', -- Item label for sandwich
        description = 'A tasty sandwich with various fillings.', -- Item description for sandwich
        min = 1, -- Minimum amount of sandwich to sell
        max = 50, -- Maximum amount of sandwich to sell
    },
}
```

## Heist Bag

```lua
Config.HeistBag = { -- Settings for the heist bag
    item = 'houserobbery_bag', -- Item name for the heist bag
    male = 45,
    female = 45,
}
```

## Chest Items

```lua
Config.ChestRewards = {
    [1] = {
        ['cabin'] = {
            { item = 'plastic',         min = 1, max = 3 },
            { item = 'diamond_ring',    min = 1, max = 1 },
            { item = 'goldchain',       min = 1, max = 1 },
            { item = 'weed_skunk',      min = 1, max = 3 },
            { item = 'cryptostick',     min = 1, max = 1 },
        },
        ['kitchen'] = {
            { item = 'tosti',     min = 1, max = 3 },
            { item = 'sandwich',  min = 1, max = 2 },
            { item = 'goldchain', min = 1, max = 1 }
        },
        ['chest'] = {
            { item = 'plastic',         min = 1, max = 3 },
            { item = 'diamond_ring',    min = 1, max = 1 },
            { item = 'goldchain',       min = 1, max = 1 },
            { item = 'weed_skunk',      min = 1, max = 3 },
            { item = 'cryptostick',     min = 1, max = 1 },
            { item = 'phone',           min = 1, max = 1 },
            { item = 'tablet',          min = 1, max = 1 },
        },
        ['livingroom'] = {
            { item = 'phone',        min = 1, max = 1 },
            { item = 'tablet',       min = 1, max = 1 },
            { item = 'plastic',      min = 1, max = 4 },
            { item = 'rolex',        min = 1, max = 1 },
            { item = 'diamond_ring', min = 1, max = 1 },
            { item = 'goldchain',    min = 1, max = 1 },
            { item = 'cryptostick',  min = 1, max = 1 },
            { item = 'pistol_ammo',  min = 1, max = 3 }
        },
        ['safe'] = {
            { item = 'rolex',        min = 1, max = 3 },
            { item = 'diamond_ring', min = 1, max = 3 },
            { item = 'goldchain',    min = 1, max = 3 },
            { item = 'pistol_ammo',  min = 1, max = 6 }
        }
    },
    [2] = {
        ['cabin'] = {
            { item = 'plastic',         min = 1, max = 3 },
            { item = 'diamond_ring',    min = 1, max = 1 },
            { item = 'goldchain',       min = 1, max = 1 },
            { item = 'weed_skunk',      min = 1, max = 3 },
            { item = 'cryptostick',     min = 1, max = 1 },
        },
        ['kitchen'] = {
            { item = 'tosti',     min = 1, max = 3 },
            { item = 'sandwich',  min = 1, max = 2 },
            { item = 'goldchain', min = 1, max = 1 }
        },
        ['chest'] = {
            { item = 'plastic',         min = 1, max = 3 },
            { item = 'diamond_ring',    min = 1, max = 1 },
            { item = 'goldchain',       min = 1, max = 1 },
            { item = 'weed_skunk',      min = 1, max = 3 },
            { item = 'cryptostick',     min = 1, max = 1 },
            { item = 'phone',           min = 1, max = 1 },
            { item = 'tablet',          min = 1, max = 1 },
        },
        ['livingroom'] = {
            { item = 'phone',        min = 1, max = 1 },
            { item = 'tablet',       min = 1, max = 1 },
            { item = 'plastic',      min = 1, max = 4 },
            { item = 'rolex',        min = 1, max = 1 },
            { item = 'diamond_ring', min = 1, max = 1 },
            { item = 'goldchain',    min = 1, max = 1 },
            { item = 'cryptostick',  min = 1, max = 1 },
            { item = 'pistol_ammo',  min = 1, max = 3 }
        },
        ['safe'] = {
            { item = 'rolex',        min = 1, max = 3 },
            { item = 'diamond_ring', min = 1, max = 3 },
            { item = 'goldchain',    min = 1, max = 3 },
            { item = 'pistol_ammo',  min = 1, max = 6 }
        }
    },
    [3] = {
        ['cabin'] = {
            { item = 'plastic',         min = 1, max = 3 },
            { item = 'diamond_ring',    min = 1, max = 1 },
            { item = 'goldchain',       min = 1, max = 1 },
            { item = 'weed_skunk',      min = 1, max = 3 },
            { item = 'cryptostick',     min = 1, max = 1 },
        },
        ['kitchen'] = {
            { item = 'tosti',     min = 1, max = 3 },
            { item = 'sandwich',  min = 1, max = 2 },
            { item = 'goldchain', min = 1, max = 1 }
        },
        ['chest'] = {
            { item = 'plastic',         min = 1, max = 3 },
            { item = 'diamond_ring',    min = 1, max = 1 },
            { item = 'goldchain',       min = 1, max = 1 },
            { item = 'weed_skunk',      min = 1, max = 3 },
            { item = 'cryptostick',     min = 1, max = 1 },
            { item = 'phone',           min = 1, max = 1 },
            { item = 'tablet',          min = 1, max = 1 },
        },
        ['livingroom'] = {
            { item = 'phone',        min = 1, max = 1 },
            { item = 'tablet',       min = 1, max = 1 },
            { item = 'plastic',      min = 1, max = 4 },
            { item = 'rolex',        min = 1, max = 1 },
            { item = 'diamond_ring', min = 1, max = 1 },
            { item = 'goldchain',    min = 1, max = 1 },
            { item = 'cryptostick',  min = 1, max = 1 },
            { item = 'pistol_ammo',  min = 1, max = 3 }
        },
        ['safe'] = {
            { item = 'rolex',        min = 1, max = 3 },
            { item = 'diamond_ring', min = 1, max = 3 },
            { item = 'goldchain',    min = 1, max = 3 },
            { item = 'pistol_ammo',  min = 1, max = 6 }
        }
    }
}

```

## Example New Home Settings

```lua
[1] = {
        id = 1,
        name = 'Example Name',
        description = 'examaple description',
        image = 'example-house-image', -- web/build/houses
        coords = {
            enter = vector3(0.0, 0.0, 0.0),
            exit = vector4(0.0, 0.0, 0.0, 0.0),
            lock = vector4(0.0, 0.0, 0.0, 0.0), -- lock object coords
        },
        tier = 1, -- 1, 2, 3
        level = 1, -- xp to determine which levels have access to the heist
        opened = false, -- dont touch this
        objectRewards = {
            money = 250, -- money for each item taken as prop after the robbery is over
            xp = 250, -- xp for each item taken as prop after the robbery is over
        },
        reward = 250, -- XP to be given after the robbery is over
        loot = {}
}
```

## Example New Home Loot Settings

### Chest Loot

```lua
[1] = {
    id = 1,
    taken = false, -- dont touch this
    busy = false, -- dont touch this
    type = "chest",
    animation = {
        type = 'search'
    },
    prop = {
        coords = vector3(0.0, 0.0, 0.0),
    },
    furniture = 'livingroom', -- Config.ChestRewards[tier][furniture]
},
```

### Prop Loot

```lua
[2] = {
    id = 2,
    taken = false, -- dont touch this
    busy = false, -- dont touch this
    type = "prop",
    animation = {
        type = 'tamper'
    },
    props = {
        place = {
            model = "prop_tv_flat_03",
            coords = vector3(0.0, 0.0, 0.0),
        },
        hand = {
            model = "prop_tv_flat_03",
            dict = "anim@heists@box_carry@",
            anim = "idle",
            coords = vector3(0.0, 0.0, 0.0),
            rotation = vector3(0.0, 0.0, 0.0),
        },
        vehicle = {
            model = "prop_tv_flat_03",
            coords = vector3(0.0, 0.0, 0.0),
            rotation = vector3(0.0, 0.0, 0.0),
        }
    }
},
```

### New Item Loot

```lua
[3] = {
    id = 3,
    taken = false,
    busy = false,
    create = true, -- required
    type = "item",
    animation = {
        type = 'tamper'
    },
    prop = {
        model = "3fe_prop_meth_smallbag_01a",
        coords = vector3(0.0, 0.0, 0.0),
        rotation = vector3(0.0, 0.0, 0.0),
    },
    item = {
        name = "meth",
        amount = 1,
        random = false,
        min = 1,
        max = 3,
    },
},
```

### Loot Item

```lua
[4] = {
    id = 4,
    taken = false,
    busy = false,
    type = "item",
    animation = {
        type = 'tamper'
    },
    prop = {
        model = "p_whiskey_bottle_s",
        coords = vector3(0.0, 0.0, 0.0),
    },
    item = {
        name = "whiskey",
        amount = 1,
        random = false,
        min = 1,
        max = 3,
    },
},
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/0r-resources/0r-house-robbery/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
